Subject: [smartpower-interest] Diff: sg-ietf-compendium-10.txt - sg-ietf-compendium-11.txt

From: Fred Baker <[email-masked]>
Date: Thu, 11 Nov 2010 10:46:07 +0800

Making sure everyone's happy.

 sg-ietf-compendium-10.txt 		 sg-ietf-compendium-11.txt 	
 		
Network Working Group                                           F. Baker	 	Network Working Group                                           F. Baker	
Internet-Draft                                                  D. Meyer	 	Internet-Draft                                                  D. Meyer	
Intended status: Informational                             Cisco Systems	 	Intended status: Informational                             Cisco Systems	
Expires: May 12, 2011                                   November 8, 2010	 	Expires: May 15, 2011                                  November 11, 2010	
 		
                 Internet Protocols for the Smart Grid	 	                 Internet Protocols for the Smart Grid	
                        draft-baker-ietf-core-10	 	                        draft-baker-ietf-core-11	
 		
Abstract	 	Abstract	
 		
   This note identifies the key protocols of the Internet Protocol Suite	 	   This note identifies the key protocols of the Internet Protocol Suite	
   for use in the Smart Grid.  The target audience is those people	 	   for use in the Smart Grid.  The target audience is those people	
   seeking guidance on how to construct an appropriate Internet Protocol	 	   seeking guidance on how to construct an appropriate Internet Protocol	
   Suite profile for the Smart Grid.  In practice, such a profile would	 	   Suite profile for the Smart Grid.  In practice, such a profile would	
   consist of selecting what is needed for Smart Grid deployment from	 	   consist of selecting what is needed for Smart Grid deployment from	
   the picture presented here.	 	   the picture presented here.	

skipping to change at page 1, line 35		skipping to change at page 1, line 35	
   Internet-Drafts are working documents of the Internet Engineering	 	   Internet-Drafts are working documents of the Internet Engineering	
   Task Force (IETF).  Note that other groups may also distribute	 	   Task Force (IETF).  Note that other groups may also distribute	
   working documents as Internet-Drafts.  The list of current Internet-	 	   working documents as Internet-Drafts.  The list of current Internet-	
   Drafts is at http://datatracker.ietf.org/drafts/current/.	 	   Drafts is at http://datatracker.ietf.org/drafts/current/.	
 		
   Internet-Drafts are draft documents valid for a maximum of six months	 	   Internet-Drafts are draft documents valid for a maximum of six months	
   and may be updated, replaced, or obsoleted by other documents at any	 	   and may be updated, replaced, or obsoleted by other documents at any	
   time.  It is inappropriate to use Internet-Drafts as reference	 	   time.  It is inappropriate to use Internet-Drafts as reference	
   material or to cite them other than as "work in progress."	 	   material or to cite them other than as "work in progress."	
 		
   This Internet-Draft will expire on May 12, 2011.	 	   This Internet-Draft will expire on May 15, 2011.	
 		
Copyright Notice	 	Copyright Notice	
 		
   Copyright (c) 2010 IETF Trust and the persons identified as the	 	   Copyright (c) 2010 IETF Trust and the persons identified as the	
   document authors.  All rights reserved.	 	   document authors.  All rights reserved.	
 		
   This document is subject to BCP 78 and the IETF Trust's Legal	 	   This document is subject to BCP 78 and the IETF Trust's Legal	
   Provisions Relating to IETF Documents	 	   Provisions Relating to IETF Documents	
   (http://trustee.ietf.org/license-info) in effect on the date of	 	   (http://trustee.ietf.org/license-info) in effect on the date of	
   publication of this document.  Please review these documents	 	   publication of this document.  Please review these documents	
 		
skipping to change at page 2, line 47		skipping to change at page 2, line 47	
         3.2.1.3.  Translation between IPv4 and IPv6 Networks . . . . 15	 	         3.2.1.3.  Translation between IPv4 and IPv6 Networks . . . . 15	
       3.2.2.  Internet Protocol Version 4  . . . . . . . . . . . . . 16	 	       3.2.2.  Internet Protocol Version 4  . . . . . . . . . . . . . 16	
         3.2.2.1.  IPv4 Address Allocation and Assignment . . . . . . 17	 	         3.2.2.1.  IPv4 Address Allocation and Assignment . . . . . . 17	
         3.2.2.2.  IPv4 Unicast Routing . . . . . . . . . . . . . . . 17	 	         3.2.2.2.  IPv4 Unicast Routing . . . . . . . . . . . . . . . 17	
         3.2.2.3.  IPv4 Multicast Forwarding and Routing  . . . . . . 17	 	         3.2.2.3.  IPv4 Multicast Forwarding and Routing  . . . . . . 17	
       3.2.3.  Internet Protocol Version 6  . . . . . . . . . . . . . 18	 	       3.2.3.  Internet Protocol Version 6  . . . . . . . . . . . . . 18	
         3.2.3.1.  IPv6 Address Allocation and Assignment . . . . . . 18	 	         3.2.3.1.  IPv6 Address Allocation and Assignment . . . . . . 18	
         3.2.3.2.  IPv6 Routing . . . . . . . . . . . . . . . . . . . 19	 	         3.2.3.2.  IPv6 Routing . . . . . . . . . . . . . . . . . . . 19	
       3.2.4.  Routing for IPv4 and IPv6  . . . . . . . . . . . . . . 19	 	       3.2.4.  Routing for IPv4 and IPv6  . . . . . . . . . . . . . . 19	
         3.2.4.1.  Routing Information Protocol . . . . . . . . . . . 19	 	         3.2.4.1.  Routing Information Protocol . . . . . . . . . . . 19	
         3.2.4.2.  Open Shortest Path First . . . . . . . . . . . . . 19	 	         3.2.4.2.  Open Shortest Path First . . . . . . . . . . . . . 20	
         3.2.4.3.  ISO Intermediate System to Intermediate System . . 20	 	         3.2.4.3.  ISO Intermediate System to Intermediate System . . 20	
         3.2.4.4.  Border Gateway Protocol  . . . . . . . . . . . . . 20	 	         3.2.4.4.  Border Gateway Protocol  . . . . . . . . . . . . . 20	
         3.2.4.5.  Dynamic MANET On-demand (DYMO) Routing . . . . . . 20	 	         3.2.4.5.  Dynamic MANET On-demand (DYMO) Routing . . . . . . 21	
         3.2.4.6.  Optimized Link State Routing Protocol  . . . . . . 21	 	         3.2.4.6.  Optimized Link State Routing Protocol  . . . . . . 21	
         3.2.4.7.  Routing for Low power and Lossy Networks . . . . . 21	 	         3.2.4.7.  Routing for Low power and Lossy Networks . . . . . 21	
       3.2.5.  IPv6 Multicast Forwarding and Routing  . . . . . . . . 22	 	       3.2.5.  IPv6 Multicast Forwarding and Routing  . . . . . . . . 22	
         3.2.5.1.  Protocol-Independent Multicast Routing . . . . . . 22	 	         3.2.5.1.  Protocol-Independent Multicast Routing . . . . . . 22	
       3.2.6.  Adaptation to lower layer networks and link layer	 	       3.2.6.  Adaptation to lower layer networks and link layer	
               protocols  . . . . . . . . . . . . . . . . . . . . . . 23	 	               protocols  . . . . . . . . . . . . . . . . . . . . . . 23	
     3.3.  Transport Layer  . . . . . . . . . . . . . . . . . . . . . 23	 	     3.3.  Transport Layer  . . . . . . . . . . . . . . . . . . . . . 23	
       3.3.1.  User Datagram Protocol (UDP) . . . . . . . . . . . . . 23	 	       3.3.1.  User Datagram Protocol (UDP) . . . . . . . . . . . . . 24	
       3.3.2.  Transmission Control Protocol (TCP)  . . . . . . . . . 24	 	       3.3.2.  Transmission Control Protocol (TCP)  . . . . . . . . . 24	
       3.3.3.  Stream Control Transmission Protocol (SCTP)  . . . . . 24	 	       3.3.3.  Stream Control Transmission Protocol (SCTP)  . . . . . 25	
       3.3.4.  Datagram Congestion Control Protocol (DCCP)  . . . . . 25	 	       3.3.4.  Datagram Congestion Control Protocol (DCCP)  . . . . . 25	
     3.4.  Infrastructure . . . . . . . . . . . . . . . . . . . . . . 25	 	     3.4.  Infrastructure . . . . . . . . . . . . . . . . . . . . . . 26	
       3.4.1.  Domain Name System . . . . . . . . . . . . . . . . . . 25	 	       3.4.1.  Domain Name System . . . . . . . . . . . . . . . . . . 26	
       3.4.2.  Dynamic Host Configuration . . . . . . . . . . . . . . 26	 	       3.4.2.  Dynamic Host Configuration . . . . . . . . . . . . . . 26	
       3.4.3.  Network Time . . . . . . . . . . . . . . . . . . . . . 26	 	       3.4.3.  Network Time . . . . . . . . . . . . . . . . . . . . . 26	
     3.5.  Network Management . . . . . . . . . . . . . . . . . . . . 26	 	     3.5.  Network Management . . . . . . . . . . . . . . . . . . . . 26	
       3.5.1.  Simple Network Management Protocol (SNMP)  . . . . . . 26	 	       3.5.1.  Simple Network Management Protocol (SNMP)  . . . . . . 27	
       3.5.2.  Network Configuration (NETCONF) Protocol . . . . . . . 27	 	       3.5.2.  Network Configuration (NETCONF) Protocol . . . . . . . 27	
     3.6.  Service and Resource Discovery . . . . . . . . . . . . . . 28	 	     3.6.  Service and Resource Discovery . . . . . . . . . . . . . . 28	
       3.6.1.  Service Discovery  . . . . . . . . . . . . . . . . . . 28	 	       3.6.1.  Service Discovery  . . . . . . . . . . . . . . . . . . 28	
       3.6.2.  Resource Discovery . . . . . . . . . . . . . . . . . . 28	 	       3.6.2.  Resource Discovery . . . . . . . . . . . . . . . . . . 28	
     3.7.  Other Applications . . . . . . . . . . . . . . . . . . . . 29	 	     3.7.  Other Applications . . . . . . . . . . . . . . . . . . . . 29	
       3.7.1.  Session Initiation Protocol  . . . . . . . . . . . . . 29	 	       3.7.1.  Session Initiation Protocol  . . . . . . . . . . . . . 29	
       3.7.2.  Calendaring  . . . . . . . . . . . . . . . . . . . . . 30	 	       3.7.2.  Calendaring  . . . . . . . . . . . . . . . . . . . . . 30	
   4.  A simplified view of the business architecture . . . . . . . . 30	 	   4.  A simplified view of the business architecture . . . . . . . . 30	
   5.  IANA Considerations  . . . . . . . . . . . . . . . . . . . . . 34	 	   5.  IANA Considerations  . . . . . . . . . . . . . . . . . . . . . 35	
   6.  Security Considerations  . . . . . . . . . . . . . . . . . . . 35	 	   6.  Security Considerations  . . . . . . . . . . . . . . . . . . . 35	
   7.  Acknowledgements . . . . . . . . . . . . . . . . . . . . . . . 35	 	   7.  Acknowledgements . . . . . . . . . . . . . . . . . . . . . . . 35	
   8.  References . . . . . . . . . . . . . . . . . . . . . . . . . . 35	 	   8.  References . . . . . . . . . . . . . . . . . . . . . . . . . . 35	
     8.1.  Normative References . . . . . . . . . . . . . . . . . . . 35	 	     8.1.  Normative References . . . . . . . . . . . . . . . . . . . 35	
     8.2.  Informative References . . . . . . . . . . . . . . . . . . 35	 	     8.2.  Informative References . . . . . . . . . . . . . . . . . . 35	
   Appendix A.  Example: Advanced Metering Infrastructure . . . . . . 49	 	   Appendix A.  Example: Advanced Metering Infrastructure . . . . . . 50	
     A.1.  How to structure a network . . . . . . . . . . . . . . . . 51	 	     A.1.  How to structure a network . . . . . . . . . . . . . . . . 52	
       A.1.1.  HAN Routing  . . . . . . . . . . . . . . . . . . . . . 53	 	       A.1.1.  HAN Routing  . . . . . . . . . . . . . . . . . . . . . 54	
       A.1.2.  HAN Security . . . . . . . . . . . . . . . . . . . . . 53	 	       A.1.2.  HAN Security . . . . . . . . . . . . . . . . . . . . . 54	
     A.2.  Model 1: AMI with separated domains  . . . . . . . . . . . 55	 	     A.2.  Model 1: AMI with separated domains  . . . . . . . . . . . 56	
     A.3.  Model 2: AMI with neighborhood access to the home  . . . . 56	 	     A.3.  Model 2: AMI with neighborhood access to the home  . . . . 56	
     A.4.  Model 3: Collector is an IP router . . . . . . . . . . . . 57	 	     A.4.  Model 3: Collector is an IP router . . . . . . . . . . . . 57	
   Authors' Addresses . . . . . . . . . . . . . . . . . . . . . . . . 57	 	   Authors' Addresses . . . . . . . . . . . . . . . . . . . . . . . . 58	
 		
1.  Introduction	 	1.  Introduction	
 		
   This document provides Smart Grid designers with advice on how to	 	   This document provides Smart Grid designers with advice on how to	
   best "profile" the Internet Protocol Suite (IPS) for use in Smart	 	   best "profile" the Internet Protocol Suite (IPS) for use in Smart	
   Grids.  It provides an overview of the IPS and the key protocols that	 	   Grids.  It provides an overview of the IPS and the key protocols that	
   are critical in integrating Smart Grid devices into an IP-based	 	   are critical in integrating Smart Grid devices into an IP-based	
   infrastructure.	 	   infrastructure.	
 		
   The IPS provides options for several key architectural components.	 	   The IPS provides options for several key architectural components.	
 		
skipping to change at page 13, line 46		skipping to change at page 13, line 46	
 		
   o  Peer Authentication Algorithm	 	   o  Peer Authentication Algorithm	
 		
   o  Bulk Data Encryption Algorithm and key size	 	   o  Bulk Data Encryption Algorithm and key size	
 		
   o  Digest Algorithm	 	   o  Digest Algorithm	
 		
   Since each category has multiple options, the number of possible	 	   Since each category has multiple options, the number of possible	
   combinations is large.  As a result, TLS does not allow all possible	 	   combinations is large.  As a result, TLS does not allow all possible	
   combinations of choices; rather it only allows certain well-defined	 	   combinations of choices; rather it only allows certain well-defined	
   combinations known as Cipher Suites.  [IEC62351-3] outlines the use	 	   combinations known as Cipher Suites.  Examples of the use of Cipher	
   of different TLS Cipher Suites for use in the Smart Grid.	 	   Suites include Elliptic Curve Cryptography (ECC)	
 	   [RFC4492][RFC5289][I-D.mcgrew-tls-aes-ccm-ecc], Camellia [RFC5932],	
 	   AES-CCM [I-D.mcgrew-tls-aes-ccm], and the Suite B Profile [RFC5430].	
 	   [IEC62351-3] outlines the use of different TLS Cipher Suites for use	
 	   in the Smart Grid.	
 		
   When used in conjunction with IEEE 802.1X [IEEE802.1X], both EAP-TLS	 	   Used in conjunction with EAP-TLS [RFC5216], IEEE 802.1X [IEEE802.1X]	
   [RFC5216] and the Protocol for Carrying Authentication for Network	 	   is a widely deployed mechanism providing access security for wired or	
   Access (PANA) [RFC5193] are widely considered to offer excellent	 	   wireless IEEE 802 LANs.  Protocol for Carrying Authentication for	
   access security to a wired or wireless IEEE 802 LAN (IEEE 802.1X in	 	   Network Access (PANA) [RFC5193] is also gaining traction, as Zigbee	
   conjunction with EAP-TLS is the baseline for Zigbee SEP 2.0).	 	   IP has chosen PANA using EAP-TLS for network access security.	
 		
3.1.4.  Secure/Multipurpose Internet Mail Extensions (S/MIME)	 	3.1.4.  Secure/Multipurpose Internet Mail Extensions (S/MIME)	
 		
   The S/MIME [RFC2045] [RFC2046] [RFC2047] [RFC4289] [RFC2049]	 	   The S/MIME [RFC2045] [RFC2046] [RFC2047] [RFC4289] [RFC2049]	
   [RFC5750] [RFC5751] [RFC4262] specification was originally designed	 	   [RFC5750] [RFC5751] [RFC4262] specification was originally designed	
   as an extension to SMTP Mail to provide evidence that the putative	 	   as an extension to SMTP Mail to provide evidence that the putative	
   sender of an email message in fact sent it, and that the content	 	   sender of an email message in fact sent it, and that the content	
   received was in fact the content that was sent.  As its name	 	   received was in fact the content that was sent.  As its name	
   suggests, by extension this is a way of securing any object that can	 	   suggests, by extension this is a way of securing any object that can	
   be exchanged, by any means, and has become one of the most common	 	   be exchanged, by any means, and has become one of the most common	
 		
skipping to change at page 36, line 4		skipping to change at page 36, line 9	
 		
8.2.  Informative References	 	8.2.  Informative References	
 		
   [1822]     Bolt Beranek and Newman Inc., "Interface Message Processor	 	   [1822]     Bolt Beranek and Newman Inc., "Interface Message Processor	
              -- Specifications for the interconnection of a host and a	 	              -- Specifications for the interconnection of a host and a	
              IMP, Report No. 1822", January 1976.	 	              IMP, Report No. 1822", January 1976.	
 		
   [I-D.arkko-ipv6-transition-guidelines]	 	   [I-D.arkko-ipv6-transition-guidelines]	
              Arkko, J. and F. Baker, "Guidelines for Using IPv6	 	              Arkko, J. and F. Baker, "Guidelines for Using IPv6	
              Transition Mechanisms during IPv6 Deployment",	 	              Transition Mechanisms during IPv6 Deployment",	
              draft-arkko-ipv6-transition-guidelines-07 (work in	 	              draft-arkko-ipv6-transition-guidelines-08 (work in	
              progress), October 2010.	 	              progress), November 2010.	
 		
   [I-D.cheshire-dnsext-dns-sd]	 	   [I-D.cheshire-dnsext-dns-sd]	
              Cheshire, S. and M. Krochmal, "DNS-Based Service	 	              Cheshire, S. and M. Krochmal, "DNS-Based Service	
              Discovery", draft-cheshire-dnsext-dns-sd-07 (work in	 	              Discovery", draft-cheshire-dnsext-dns-sd-07 (work in	
              progress), October 2010.	 	              progress), October 2010.	
 		
   [I-D.cheshire-dnsext-multicastdns]	 	   [I-D.cheshire-dnsext-multicastdns]	
              Cheshire, S. and M. Krochmal, "Multicast DNS",	 	              Cheshire, S. and M. Krochmal, "Multicast DNS",	
              draft-cheshire-dnsext-multicastdns-12 (work in progress),	 	              draft-cheshire-dnsext-multicastdns-12 (work in progress),	
              October 2010.	 	              October 2010.	
 		
skipping to change at page 37, line 24		skipping to change at page 37, line 29	
              Application Protocol (CoAP)", draft-ietf-core-coap-03	 	              Application Protocol (CoAP)", draft-ietf-core-coap-03	
              (work in progress), October 2010.	 	              (work in progress), October 2010.	
 		
   [I-D.ietf-manet-dymo]	 	   [I-D.ietf-manet-dymo]	
              Chakeres, I. and C. Perkins, "Dynamic MANET On-demand	 	              Chakeres, I. and C. Perkins, "Dynamic MANET On-demand	
              (DYMO) Routing", draft-ietf-manet-dymo-21 (work in	 	              (DYMO) Routing", draft-ietf-manet-dymo-21 (work in	
              progress), July 2010.	 	              progress), July 2010.	
 		
   [I-D.ietf-roll-rpl]	 	   [I-D.ietf-roll-rpl]	
              Winter, T., Thubert, P., Brandt, A., Clausen, T., Hui, J.,	 	              Winter, T., Thubert, P., Brandt, A., Clausen, T., Hui, J.,	
              Kelsey, R., Levis, P., Networks, D., Struik, R., and J.	 	              Kelsey, R., Levis, P., Pister, K., Struik, R., and J.	
              Vasseur, "RPL: IPv6 Routing Protocol for Low power and	 	              Vasseur, "RPL: IPv6 Routing Protocol for Low power and	
              Lossy Networks", draft-ietf-roll-rpl-14 (work in	 	              Lossy Networks", draft-ietf-roll-rpl-15 (work in	
              progress), October 2010.	 	              progress), November 2010.	
 		
   [I-D.ietf-tls-rfc4347-bis]	 	   [I-D.ietf-tls-rfc4347-bis]	
              Rescorla, E. and N. Modadugu, "Datagram Transport Layer	 	              Rescorla, E. and N. Modadugu, "Datagram Transport Layer	
              Security version 1.2", draft-ietf-tls-rfc4347-bis-04 (work	 	              Security version 1.2", draft-ietf-tls-rfc4347-bis-04 (work	
              in progress), July 2010.	 	              in progress), July 2010.	
 		
 	   [I-D.mcgrew-tls-aes-ccm]	
 	              McGrew, D. and D. Bailey, "AES-CCM Cipher Suites for TLS",	
 	              draft-mcgrew-tls-aes-ccm-00 (work in progress), June 2010.	
 		
 	   [I-D.mcgrew-tls-aes-ccm-ecc]	
 	              McGrew, D., Bailey, D., Campagna, M., and R. Dugal, "AES-	
 	              CCM ECC Cipher Suites for TLS",	
 	              draft-mcgrew-tls-aes-ccm-ecc-00 (work in progress),	
 	              July 2010.	
 	                                                                         	
   [IEC62351-3]	 	   [IEC62351-3]	
              International Electrotechnical Commission Technical	 	              International Electrotechnical Commission Technical	
              Committee 57, "POWER SYSTEMS MANAGEMENT AND ASSOCIATED	 	              Committee 57, "POWER SYSTEMS MANAGEMENT AND ASSOCIATED	
              INFORMATION EXCHANGE. DATA AND COMMUNICATIONS SECURITY --	 	              INFORMATION EXCHANGE. DATA AND COMMUNICATIONS SECURITY --	
              Part 3: Communication network and system security Profiles	 	              Part 3: Communication network and system security Profiles	
              including TCP/IP", May 2007.	 	              including TCP/IP", May 2007.	
 		
   [IEEE802.1X]	 	   [IEEE802.1X]	
              Institute of Electrical and Electronics Engineers, "IEEE	 	              Institute of Electrical and Electronics Engineers, "IEEE	
              Standard for Local and Metropolitan Area Networks - Port	 	              Standard for Local and Metropolitan Area Networks - Port	
 		
skipping to change at page 45, line 17		skipping to change at page 45, line 33	
              Multicast Protocol (SRMP)", RFC 4410, February 2006.	 	              Multicast Protocol (SRMP)", RFC 4410, February 2006.	
 		
   [RFC4443]  Conta, A., Deering, S., and M. Gupta, "Internet Control	 	   [RFC4443]  Conta, A., Deering, S., and M. Gupta, "Internet Control	
              Message Protocol (ICMPv6) for the Internet Protocol	 	              Message Protocol (ICMPv6) for the Internet Protocol	
              Version 6 (IPv6) Specification", RFC 4443, March 2006.	 	              Version 6 (IPv6) Specification", RFC 4443, March 2006.	
 		
   [RFC4487]  Le, F., Faccin, S., Patil, B., and H. Tschofenig, "Mobile	 	   [RFC4487]  Le, F., Faccin, S., Patil, B., and H. Tschofenig, "Mobile	
              IPv6 and Firewalls: Problem Statement", RFC 4487,	 	              IPv6 and Firewalls: Problem Statement", RFC 4487,	
              May 2006.	 	              May 2006.	
 		
 	   [RFC4492]  Blake-Wilson, S., Bolyard, N., Gupta, V., Hawk, C., and B.	
 	              Moeller, "Elliptic Curve Cryptography (ECC) Cipher Suites	
 	              for Transport Layer Security (TLS)", RFC 4492, May 2006.	
 	                                                                         	
   [RFC4566]  Handley, M., Jacobson, V., and C. Perkins, "SDP: Session	 	   [RFC4566]  Handley, M., Jacobson, V., and C. Perkins, "SDP: Session	
              Description Protocol", RFC 4566, July 2006.	 	              Description Protocol", RFC 4566, July 2006.	
 		
   [RFC4594]  Babiarz, J., Chan, K., and F. Baker, "Configuration	 	   [RFC4594]  Babiarz, J., Chan, K., and F. Baker, "Configuration	
              Guidelines for DiffServ Service Classes", RFC 4594,	 	              Guidelines for DiffServ Service Classes", RFC 4594,	
              August 2006.	 	              August 2006.	
 		
   [RFC4601]  Fenner, B., Handley, M., Holbrook, H., and I. Kouvelas,	 	   [RFC4601]  Fenner, B., Handley, M., Holbrook, H., and I. Kouvelas,	
              "Protocol Independent Multicast - Sparse Mode (PIM-SM):	 	              "Protocol Independent Multicast - Sparse Mode (PIM-SM):	
              Protocol Specification (Revised)", RFC 4601, August 2006.	 	              Protocol Specification (Revised)", RFC 4601, August 2006.	
 		
skipping to change at page 47, line 43		skipping to change at page 48, line 15	
   [RFC5238]  Phelan, T., "Datagram Transport Layer Security (DTLS) over	 	   [RFC5238]  Phelan, T., "Datagram Transport Layer Security (DTLS) over	
              the Datagram Congestion Control Protocol (DCCP)",	 	              the Datagram Congestion Control Protocol (DCCP)",	
              RFC 5238, May 2008.	 	              RFC 5238, May 2008.	
 		
   [RFC5246]  Dierks, T. and E. Rescorla, "The Transport Layer Security	 	   [RFC5246]  Dierks, T. and E. Rescorla, "The Transport Layer Security	
              (TLS) Protocol Version 1.2", RFC 5246, August 2008.	 	              (TLS) Protocol Version 1.2", RFC 5246, August 2008.	
 		
   [RFC5277]  Chisholm, S. and H. Trevino, "NETCONF Event	 	   [RFC5277]  Chisholm, S. and H. Trevino, "NETCONF Event	
              Notifications", RFC 5277, July 2008.	 	              Notifications", RFC 5277, July 2008.	
 		
 	   [RFC5289]  Rescorla, E., "TLS Elliptic Curve Cipher Suites with SHA-	
 	              256/384 and AES Galois Counter Mode (GCM)", RFC 5289,	
 	              August 2008.	
 	                                                                         	
   [RFC5308]  Hopps, C., "Routing IPv6 with IS-IS", RFC 5308,	 	   [RFC5308]  Hopps, C., "Routing IPv6 with IS-IS", RFC 5308,	
              October 2008.	 	              October 2008.	
 		
   [RFC5340]  Coltun, R., Ferguson, D., Moy, J., and A. Lindem, "OSPF	 	   [RFC5340]  Coltun, R., Ferguson, D., Moy, J., and A. Lindem, "OSPF	
              for IPv6", RFC 5340, July 2008.	 	              for IPv6", RFC 5340, July 2008.	
 		
   [RFC5389]  Rosenberg, J., Mahy, R., Matthews, P., and D. Wing,	 	   [RFC5389]  Rosenberg, J., Mahy, R., Matthews, P., and D. Wing,	
              "Session Traversal Utilities for NAT (STUN)", RFC 5389,	 	              "Session Traversal Utilities for NAT (STUN)", RFC 5389,	
              October 2008.	 	              October 2008.	
 		
   [RFC5393]  Sparks, R., Lawrence, S., Hawrylyshen, A., and B. Campen,	 	   [RFC5393]  Sparks, R., Lawrence, S., Hawrylyshen, A., and B. Campen,	
              "Addressing an Amplification Vulnerability in Session	 	              "Addressing an Amplification Vulnerability in Session	
              Initiation Protocol (SIP) Forking Proxies", RFC 5393,	 	              Initiation Protocol (SIP) Forking Proxies", RFC 5393,	
              December 2008.	 	              December 2008.	
 		
   [RFC5405]  Eggert, L. and G. Fairhurst, "Unicast UDP Usage Guidelines	 	   [RFC5405]  Eggert, L. and G. Fairhurst, "Unicast UDP Usage Guidelines	
              for Application Designers", BCP 145, RFC 5405,	 	              for Application Designers", BCP 145, RFC 5405,	
              November 2008.	 	              November 2008.	
 		
 	   [RFC5430]  Salter, M., Rescorla, E., and R. Housley, "Suite B Profile	
 	              for Transport Layer Security (TLS)", RFC 5430, March 2009.	
 	                                                                         	
   [RFC5539]  Badra, M., "NETCONF over Transport Layer Security (TLS)",	 	   [RFC5539]  Badra, M., "NETCONF over Transport Layer Security (TLS)",	
              RFC 5539, May 2009.	 	              RFC 5539, May 2009.	
 		
   [RFC5545]  Desruisseaux, B., "Internet Calendaring and Scheduling	 	   [RFC5545]  Desruisseaux, B., "Internet Calendaring and Scheduling	
              Core Object Specification (iCalendar)", RFC 5545,	 	              Core Object Specification (iCalendar)", RFC 5545,	
              September 2009.	 	              September 2009.	
 		
   [RFC5546]  Daboo, C., "iCalendar Transport-Independent	 	   [RFC5546]  Daboo, C., "iCalendar Transport-Independent	
              Interoperability Protocol (iTIP)", RFC 5546,	 	              Interoperability Protocol (iTIP)", RFC 5546,	
              December 2009.	 	              December 2009.	
 		
skipping to change at page 49, line 29		skipping to change at page 50, line 9	
              RFC 5838, April 2010.	 	              RFC 5838, April 2010.	
 		
   [RFC5867]  Martocci, J., De Mil, P., Riou, N., and W. Vermeylen,	 	   [RFC5867]  Martocci, J., De Mil, P., Riou, N., and W. Vermeylen,	
              "Building Automation Routing Requirements in Low-Power and	 	              "Building Automation Routing Requirements in Low-Power and	
              Lossy Networks", RFC 5867, June 2010.	 	              Lossy Networks", RFC 5867, June 2010.	
 		
   [RFC5905]  Mills, D., Martin, J., Burbank, J., and W. Kasch, "Network	 	   [RFC5905]  Mills, D., Martin, J., Burbank, J., and W. Kasch, "Network	
              Time Protocol Version 4: Protocol and Algorithms	 	              Time Protocol Version 4: Protocol and Algorithms	
              Specification", RFC 5905, June 2010.	 	              Specification", RFC 5905, June 2010.	
 		
 	   [RFC5932]  Kato, A., Kanda, M., and S. Kanno, "Camellia Cipher Suites	
 	              for TLS", RFC 5932, June 2010.	
 	                                                                         	
   [RFC5996]  Kaufman, C., Hoffman, P., Nir, Y., and P. Eronen,	 	   [RFC5996]  Kaufman, C., Hoffman, P., Nir, Y., and P. Eronen,	
              "Internet Key Exchange Protocol Version 2 (IKEv2)",	 	              "Internet Key Exchange Protocol Version 2 (IKEv2)",	
              RFC 5996, September 2010.	 	              RFC 5996, September 2010.	
 		
   [RFC6052]  Bao, C., Huitema, C., Bagnulo, M., Boucadair, M., and X.	 	   [RFC6052]  Bao, C., Huitema, C., Bagnulo, M., Boucadair, M., and X.	
              Li, "IPv6 Addressing of IPv4/IPv6 Translators", RFC 6052,	 	              Li, "IPv6 Addressing of IPv4/IPv6 Translators", RFC 6052,	
              October 2010.	 	              October 2010.	
 		
   [SP-MULPIv3.0]	 	   [SP-MULPIv3.0]	
              CableLabs, "DOCSIS 3.0 MAC and Upper Layer Protocols	 	              CableLabs, "DOCSIS 3.0 MAC and Upper Layer Protocols	
 		
skipping to change at page 53, line 39		skipping to change at page 54, line 32	
   upstream ISP or use a self-generated ULA.  Another is the utility's	 	   upstream ISP or use a self-generated ULA.  Another is the utility's	
   NAN, which through an ESI provides utility connectivity to the HAN;	 	   NAN, which through an ESI provides utility connectivity to the HAN;	
   in this case the HAN will be addressed by a self-generated ULA (note,	 	   in this case the HAN will be addressed by a self-generated ULA (note,	
   however, that in some cases ESI may also provide a prefix via DHCP	 	   however, that in some cases ESI may also provide a prefix via DHCP	
   [RFC3315]).  In addition, the HAN will have link-local addresses that	 	   [RFC3315]).  In addition, the HAN will have link-local addresses that	
   can be used between neighboring nodes.  In general, an HAN will be	 	   can be used between neighboring nodes.  In general, an HAN will be	
   comprised of both 802.15.4, 802.11 (and possibly other) networks.	 	   comprised of both 802.15.4, 802.11 (and possibly other) networks.	
 		
   The ESI is a node on the user's residential network, and will not	 	   The ESI is a node on the user's residential network, and will not	
   typically provide stateful packet forwarding or firewall services	 	   typically provide stateful packet forwarding or firewall services	
   between the HAN and the utility network(s).  In general, the meter/	 	   between the HAN and the utility network(s).  In general, the ESI is a	
   ESI is just a node on the home network.  However, the ESI must be	 	   node on the home network; in some cases, the meter may act as the	
   capable of understanding that most home networks are not 802.15.4	 	   ESI.  However, the ESI must be capable of understanding that most	
   enabled (rather, they are typically 802.11 networks), and that it	 	   home networks are not 802.15.4 enabled (rather, they are typically	
   must be capable of setting up ad-hoc networks between various sensors	 	   802.11 networks), and that it must be capable of setting up ad-hoc	
   in the home (e.g., betweeen the meter and say, a thermostat) in the	 	   networks between various sensors in the home (e.g., betweeen the	
   event there aren't other networks available.	 	   meter and say, a thermostat) in the event there aren't other networks	
 	   available.	
 		
A.1.2.  HAN Security	 	A.1.2.  HAN Security	
 		
   In any network, we have a variety of threats and a variety of	 	   In any network, we have a variety of threats and a variety of	
   possible mitigations.  These include, at minimum:	 	   possible mitigations.  These include, at minimum:	
 		
   Link Layer:  Why is your machine able to talk in my network?  The	 	   Link Layer:  Why is your machine able to talk in my network?  The	
      WiFi SSIDs often use some form of authenticated access control,	 	      WiFi SSIDs often use some form of authenticated access control,	
      which may be a simple encrypted password mechanism or may use a	 	      which may be a simple encrypted password mechanism or may use a	
      combination of encryption and IEEE 802.1X+EAP-TLS Authentication/	 	      combination of encryption and IEEE 802.1X+EAP-TLS Authentication/	
 		
 End of changes. 23 change blocks. 
36 lines changed or deleted		65 lines changed or added	

This html diff was produced by rfcdiff 1.40. The latest version is available from http://tools.ietf.org/tools/rfcdiff/